//
// ONVIFCameraWhiteBalanceUpdate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraWhiteBalanceUpdate: Codable {

    public var mode: ONVIFWhiteBalanceModes?
    public var crGain: Decimal?
    public var cbGain: Decimal?

    public init(mode: ONVIFWhiteBalanceModes? = nil, crGain: Decimal? = nil, cbGain: Decimal? = nil) {
        self.mode = mode
        self.crGain = crGain
        self.cbGain = cbGain
    }

    public enum CodingKeys: String, CodingKey { 
        case mode
        case crGain = "cr_gain"
        case cbGain = "cb_gain"
    }

}
